package _VisualDVM.TestingSystem.DVM.DVMConfigurationSettings;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import Common.Database.Objects.iDBObject;
import _VisualDVM.TestingSystem.DVM.DVMConfiguration.DVMConfiguration;
import _VisualDVM.TestingSystem.DVM.DVMSettings.DVMSettings;
public class DVMConfigurationSettings extends iDBObject {
    public int dvmconfiguration_id = CommonConstants.Nan;
    public int dvmsettings_id = CommonConstants.Nan;
    public DVMConfigurationSettings() {
    }
    public DVMConfigurationSettings(DVMConfiguration dvmConfiguration, DVMSettings settings) {
        dvmconfiguration_id = dvmConfiguration.id;
        dvmsettings_id = settings.id;
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        DVMConfigurationSettings src_ = (DVMConfigurationSettings) src;
        dvmconfiguration_id = src_.dvmconfiguration_id;
        dvmsettings_id = src_.dvmsettings_id;
    }
    public boolean isEqual(DVMConfigurationSettings test_in) {
        return dvmconfiguration_id == test_in.dvmconfiguration_id && dvmsettings_id == test_in.dvmsettings_id;
    }
}
